<?xml version="1.0" encoding="UTF-8" ?>
<filter-conf>
  <version>20180605</version>
  <isOpen>true</isOpen>
  <filter-name>Multimedia_Daemon_List</filter-name>
    <dirac>
        <name>com.oppo.music</name>
        <attribute>music</attribute>

        <name>com.oppo.video</name>
        <attribute>video</attribute>
    </dirac>

    <volume>
        <name>com.tencent.tvoem</name>
        <attribute>forbid</attribute>

        <name>com.cdbabyjoy.ecepark</name>
        <attribute>streammute</attribute>

        <name>com.hifimusic.player</name>
        <attribute>streammute</attribute>

        <name>air.tv.douyu.android</name>
        <attribute>no_need_mute_in_call</attribute>

        <name>com.tencent.qqlive</name>
        <attribute>no_need_mute_in_call</attribute>

        <name>null</name>
        <attribute>no_need_mute_in_ringing</attribute>

        <name>com.smile.gifmaker</name>
        <attribute>kill</attribute>

        <name>com.coloros.findmyphone</name>
        <attribute>permit</attribute>

        <name>android.media.cts</name>
        <attribute>permit</attribute>

        <name>com.android.systemui</name>
        <attribute>permit</attribute>

        <name>com.ting.mp3.android</name>
        <attribute>permit</attribute>

        <name>com.youku.phone</name>
        <attribute>permit</attribute>

        <name>com.oppo.autotest.autotoolplatform</name>
        <attribute>permit</attribute>

        <name>com.coloros.speechassist</name>
        <attribute>permit</attribute>
    </volume>

    <control>
        <name>MultimediaService</name>
        <attribute>true</attribute>

        <name>setMode</name>
        <attribute>true</attribute>

        <name>recordConflict</name>
        <attribute>false</attribute>

        <name>streamAdjust</name>
        <attribute>true</attribute>

        <name>setspeakerphoneOn</name>
        <attribute>true</attribute>

        <name>killMediaserver</name>
        <attribute>true</attribute>

        <name>streamMute</name>
        <attribute>true</attribute>

        <name>killApp</name>
        <attribute>true</attribute>

        <name>releaseAudiotrack</name>
        <attribute>true</attribute>

        <name>setBluetoothScoOn</name>
        <attribute>true</attribute>

        <name>setMicrophoneMute</name>
        <attribute>false</attribute>

        <name>smartvolumeRing</name>
        <attribute>true</attribute>

        <name>smartEarphone</name>
        <attribute>false</attribute>

        <name>setStreamVolume</name>
        <attribute>true</attribute>

        <name>disableULLOutput</name>
        <attribute>false</attribute>

        <name>trackRelease</name>
        <attribute>false</attribute>

        <name>supportHeif</name>
        <attribute>true</attribute>

        <name>multiThreadDecodeHeif</name>
        <attribute>true</attribute>
    </control>

    <heif-multithread>
        <name>com.coloros.gallery3d</name>
        <attribute>null</attribute>
    </heif-multithread>

    <zenmode>
        <name>com.tencent.mobileqq</name>
        <attribute>null</attribute>

        <name>com.tencent.mm</name>
        <attribute>wechat_mute</attribute>

        <name>com.zing.zalo</name>
        <attribute>null</attribute>
    </zenmode>

    <oppo-getstreamvolume>
        <name>com.ting.mp3.android</name>
        <attribute>null</attribute>
    </oppo-getstreamvolume>

    <wechat-encode>
        <name>com.tencent.mm:tools</name>
        <attribute>
        OMX.qcom.video.encoder.avc

        OMX.google.h264.encoder
        </attribute>
    </wechat-encode>

    <record-conflict>
        <name>com.tencent.mobileqq</name>
        <attribute>5000</attribute>

        <name>com.google.android.googlequicksearchbox</name>
        <attribute>record-no-hint</attribute>

        <name>com.eg.android.AlipayGphone</name>
        <attribute>record-no-hint</attribute>

        <name>com.autonavi.minimap</name>
        <attribute>record-no-hint</attribute>

        <name>me.pou.app</name>
        <attribute>record-no-hint</attribute>

        <name>com.campmobile.snowcamera</name>
        <attribute>record-no-hint</attribute>
    </record-conflict>

    <at-sampleRate>
        <name>com.tencent.mobileqq</name>
        <attribute>16000</attribute>
    </at-sampleRate>

    <limit-getstreamvolume>
        <name>com.tencent.mobileqq</name>
        <attribute>null</attribute>
    </limit-getstreamvolume>

    <display-notify>
         <name>com.tencent.mobileqq</name>
         <attribute>mode</attribute>

         <name>com.tencent.mm</name>
         <attribute>mode</attribute>

         <name>com.tencent.tmgp.cf</name>
         <attribute>game-scene</attribute>

         <name>com.tencent.tmgp.pubgmhd</name>
         <attribute>game-scene</attribute>

         <name>com.tencent.tmgp.pubgm</name>
         <attribute>game-scene</attribute>

         <name>com.netease.hyxd.nearme.gamecenter</name>
         <attribute>game-scene</attribute>

         <name>com.netease.zjz2.nearme.gamecenter</name>
         <attribute>game-scene</attribute>

         <name>com.crisisfire.android.nearme.gamecenter</name>
         <attribute>game-scene</attribute>

         <name>com.netease.dwrg.nearme.gamecenter</name>
         <attribute>game-scene</attribute>

         <name>com.tencent.cldts</name>
         <attribute>game-scene</attribute>
    </display-notify>

    <game-bt-noise>
        <name>com.tencent.feiji</name>
        <attribute>null</attribute>

        <name>com.netease.my</name>
        <attribute>null</attribute>

        <name>com.tencent.tmgp.mhxy.sqsy</name>
        <attribute>null</attribute>

        <name>com.tencent.tmgp.pvz2</name>
        <attribute>null</attribute>

        <name>com.popcap.pvz2</name>
        <attribute>null</attribute>

        <name>com.tencent.tmgp.palol</name>
        <attribute>null</attribute>

        <name>com.netease.zjz2</name>
        <attribute>null</attribute>

        <name>com.netease.dwrg.nearme.gamecenter</name>
        <attribute>null</attribute>

        <name>com.tencent.tmgp.dwrg</name>
        <attribute>null</attribute>

        <name>com.netease.dwrg</name>
        <attribute>null</attribute>
    </game-bt-noise>

    <game-ull-pop>
        <name>com.tencent.tmgp.pvz2</name>
        <attribute>null</attribute>

        <name>com.popcap.pvz2</name>
        <attribute>null</attribute>

        <name>com.cmplay.tiles2_cn</name>
        <attribute>null</attribute>

        <name>com.tencent.tmgp.tiles2</name>
        <attribute>null</attribute>
    </game-ull-pop>

    <game-forbid-voice>
        <name>com.tencent.tmgp.sgame</name>
        <attribute>null</attribute>
    </game-forbid-voice>

    <acodec-buffer>
        <name>com.tencent.qqlive</name>
        <attribute>true</attribute>
    </acodec-buffer>

    <disable-ull-output>
        <name>com.tencent.tmgp.sgame</name>
        <attribute>null</attribute>

        <name>com.youku.phone</name>
        <attribute>null</attribute>
    </disable-ull-output>

    <dual-mic-record>
        <name>com.tencent.mobileqq</name>
        <attribute>null</attribute>

        <name>com.tencent.mm</name>
        <attribute>null</attribute>
    </dual-mic-record>

    <voice-scence>
        <name>com.tencent.mm</name>
        <attribute>
        scence=voice_playback_mm;
        sample_rate=16000;
        channels=1;

        scence=voice_record_mm;
        sample_rate=16000;
        channels=1;
        </attribute>

        <name>com.tencent.tmgp.sgame</name>
        <attribute>
        scence=voice_playback_tmgp;
        sample_rate=16000;
        channels=1;

        scence=voice_record_tmgp;
        sample_rate=16000;
        channels=1;

        scence=audio_playback_tmgp;
        sample_rate=48000|24000|41000;
        channels=2;
        </attribute>

        <name>com.tencent.mobileqq</name>
        <attribute>
        scence=voice_playback_mm;
        sample_rate=16000;
        channels=1;

        scence=voice_record_mm;
        sample_rate=16000;
        channels=1;
        </attribute>

        <name>com.tencent.mobileqq:video</name>
        <attribute>
        scence=voice_playback_mm;
        sample_rate=16000;
        channels=1;

        scence=voice_record_mm;
        sample_rate=16000;
        channels=1;
        </attribute>

        <name>com.tencent.mobileqq:groupvideo</name>
        <attribute>
        scence=voice_playback_mm;
        sample_rate=16000;
        channels=1;

        scence=voice_record_mm;
        sample_rate=16000;
        channels=1;
        </attribute>
    </voice-scence>

    <audiotrack-release>
        <name>com.coloros.safecenter</name>
        <attribute>null</attribute>

        <name>com.android.systemui</name>
        <attribute>null</attribute>

        <name>com.android.settings</name>
        <attribute>null</attribute>

        <name>com.coloros.screenshot</name>
        <attribute>null</attribute>

        <name>android.process.contacts</name>
        <attribute>null</attribute>

        <name>system_server</name>
        <attribute>null</attribute>
    </audiotrack-release>

    <change-streamtype>
        <name>com.tencent.mm</name>
        <attribute>null</attribute>
    </change-streamtype>

    <force-db-for-dirac>
        <name>com.youku.phone</name>
        <attribute>0</attribute>

        <name>com.tudou.android</name>
        <attribute>0</attribute>

        <name>com.soundcloud.android</name>
        <attribute>0</attribute>

        <name>com.tencent.tmgp.pubgmhd</name>
        <attribute>16000</attribute>

        <name>com.tencent.tmgp.cf</name>
        <attribute>16000</attribute>

	    <name>com.tencent.tmgp.pubgm</name>
        <attribute>16000</attribute>

        <name>com.netease.dwrg.nearme.gamecenter</name>
        <attribute>16000</attribute>

	    <name>com.netease.hyxd.nearme.gamecenter</name>
        <attribute>0</attribute>
    </force-db-for-dirac>

    <game-dirac-noise>
        <name>com.tencent.tmgp.pubgmhd</name>
        <attribute>16000</attribute>

        <name>com.tencent.tmgp.cf</name>
        <attribute>16000</attribute>

	    <name>com.tencent.tmgp.pubgm</name>
        <attribute>16000</attribute>

        <name>com.netease.dwrg.nearme.gamecenter</name>
        <attribute>16000</attribute>

	    <name>com.netease.hyxd.nearme.gamecenter</name>
        <attribute>0</attribute>
    </game-dirac-noise>

    <music-background-noise>
        <name>com.tencent.mobileqq</name>
        <attribute>null</attribute>

        <name>com.huajiao</name>
        <attribute>null</attribute>
    </music-background-noise>

    <game-voice-optimize>
        <name>com.tencent.tmgp.sgame</name>
        <attribute>null</attribute>

        <name>com.tencent.tmgp.apollo</name>
        <attribute>null</attribute>

        <name>com.tencent.apollovoice.apollovoice_demo</name>
        <attribute>null</attribute>
    </game-voice-optimize>

    <disable-ffmpeg>
        <name>com.tencent.mm</name>
        <attribute>null</attribute>
    </disable-ffmpeg>

    <setvoipmode-incall>
        <name>com.whatsapp</name>
        <attribute>null</attribute>

        <name>com.google.android.apps.tachyon</name>
        <attribute>null</attribute>

        <name>com.zing.zalo</name>
        <attribute>null</attribute>

        <name>com.facebook.orca</name>
        <attribute>null</attribute>
    </setvoipmode-incall>

    <force-db-for-photo>
        <name>com.coloros.editor.memories</name>
        <attribute>null</attribute>

        <name>com.coloros.video:memories</name>
        <attribute>null</attribute>
    </force-db-for-photo>

    <changeaudio-tx-voip>
        <name>com.imo.android.imoim</name>
        <attribute>null</attribute>
    </changeaudio-tx-voip>

    <changevoip-rx-audio>
        <name>com.android.bluetooth</name>
        <attribute>null</attribute>
    </changevoip-rx-audio>

    <smart-earphone>
        <name>com.android.music</name>
        <attribute>null</attribute>

        <name>com.oppo.music</name>
        <attribute>null</attribute>

        <name>com.kugou.android.support</name>
        <attribute>null</attribute>

        <name>com.tencent.qqmusic</name>
        <attribute>null</attribute>

        <name>cn.kuwo.player</name>
        <attribute>null</attribute>

        <name>com.netease.cloudmusic</name>
        <attribute>null</attribute>

        <name>fm.xiami.main</name>
        <attribute>null</attribute>

        <name>com.blueocean.musicplayer</name>
        <attribute>null</attribute>

        <name>cmccwm.mobilemusic</name>
        <attribute>null</attribute>

        <name>com.shoujiduoduo.dj</name>
        <attribute>null</attribute>

        <name>com.ting.mp3.android</name>
        <attribute>null</attribute>

        <name>com.qiyi.video</name>
        <attribute>null</attribute>

        <name>com.youku.phone</name>
        <attribute>null</attribute>

        <name>com.tencent.qqlive</name>
        <attribute>null</attribute>

        <name>com.ss.android.ugc.live</name>
        <attribute>null</attribute>

        <name>com.hunantv.imgo.activity</name>
        <attribute>null</attribute>

        <name>tv.yixia.bobo</name>
        <attribute>null</attribute>

        <name>com.tencent.tvoem</name>
        <attribute>null</attribute>

        <name>tv.danmaku.bili</name>
        <attribute>null</attribute>

        <name>com.duowan.kiwi</name>
        <attribute>null</attribute>

        <name>com.tencent.tvoem</name>
        <attribute>null</attribute>

        <name>com.le123.ysdq</name>
        <attribute>null</attribute>
    </smart-earphone>

    <not-addplayerbase>
        <name>com.mahjong.sichuang</name>
        <attribute>null</attribute>

        <name>com.xianlai.mahjonghn</name>
        <attribute>null</attribute>

        <name>com.xianlai.mahjongguangxi</name>
        <attribute>null</attribute>

        <name>com.ixianlai.shanmahjong</name>
        <attribute>null</attribute>

        <name>com.ixianlai.nxmahjong</name>
        <attribute>null</attribute>

        <name>com.xianlai.mahjonghnpdk</name>
        <attribute>null</attribute>

        <name>com.xianlai.mahjongguiyang</name>
        <attribute>null</attribute>

        <name>com.xianlai.mahjonggd</name>
        <attribute>null</attribute>

        <name>com.tianfu.majiang</name>
        <attribute>null</attribute>

        <name>com.xianlai.yunnanmahjong</name>
        <attribute>null</attribute>

        <name>com.nearme.gamecenter.ddz.nearme.gamecenter</name>
        <attribute>null</attribute>

        <name>com.qileyx.ddz.yyb</name>
        <attribute>null</attribute>

        <name>com.boyaa.lordland.nearme.gamecenter</name>
        <attribute>null</attribute>

        <name>com.boyaa.kwxmj</name>
        <attribute>null</attribute>

        <name>com.boyaa.kwxmj.nearme.gamecenter</name>
        <attribute>null</attribute>

        <name>com.pfu.popstar</name>
        <attribute>null</attribute>
    </not-addplayerbase>

    <short-sound-frame-change>
        <name>com.tencent.mm</name>
        <attribute>null</attribute>

        <name>com.tencent.mobileqq</name>
        <attribute>null</attribute>
    </short-sound-frame-change>
</filter-conf>
